Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.converters.reflection
Class SerializationMethodInvoker

    java.lang.Object
      com.thoughtworks.xstream.converters.reflection.SerializationMethodInvoker

    public class SerializationMethodInvoker

extends Object

Convenience wrapper to invoke special serialization methods on objects (and perform reflection caching).

Author:
  Joe Walnes

Constructor Summary
`SerializationMethodInvoker()`

Method Summary
`void` | `callReadObject(Class type, Object object, ObjectInputStream stream)`
`Object` | `callReadResolve(Object result)` Resolves an object as native serialization does by calling readResolve(), if available.
`void` | `callWriteObject(Class type, Object instance, ObjectOutputStream stream)`
`Object` | `callWriteReplace(Object object)`
`boolean` | `supportsReadObject(Class type, boolean includeBaseClasses)`
`boolean` | `supportsWriteObject(Class type, boolean includeBaseClasses)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerializationMethodInvoker

    public SerializationMethodInvoker()

Method Detail

### callReadResolve

    public Object callReadResolve(Object result)

  Resolves an object as native serialization does by calling readResolve(), if available.

### callWriteReplace

    public Object callWriteReplace(Object object)

### supportsReadObject

    public boolean supportsReadObject(Class type,
                                      boolean includeBaseClasses)

### callReadObject

    public void callReadObject(Class type,
                               Object object,
                               ObjectInputStream stream)

### supportsWriteObject

    public boolean supportsWriteObject(Class type,
                                       boolean includeBaseClasses)

### callWriteObject

    public void callWriteObject(Class type,
                                Object instance,
                                ObjectOutputStream stream)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.